Package org.w3._1999.xhtml

# Class Param

java.lang.Object
org.w3._1999.xhtml.Param

public class Param extends Object
<p>Java class for anonymous complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" /> <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" /> <attribute name="value" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" /> <attribute name="valuetype" default="data"> <simpleType> <restriction base="{http://www.w3.org/2001/XMLSchema}token"> <enumeration value="data"/> <enumeration value="ref"/> <enumeration value="object"/> </restriction> </simpleType> </attribute> <attribute name="type" type="{http://www.w3.org/1999/xhtml}ContentType" /> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `id`
  `protected String`
  `name`
  `protected String`
  `type`
  `protected String`
  `value`
  `protected String`
  `valuetype`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Param()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getType()`
  Gets the value of the type property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `String`
  `getValuetype()`
  Gets the value of the valuetype property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setType(String value)`
  Sets the value of the type property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.
  `void`
  `setValuetype(String value)`
  Sets the value of the valuetype property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected String id

  - ### name

    protected String name

  - ### value

    protected String value

  - ### valuetype

    protected String valuetype

  - ### type

    protected String type

- ## Constructor Details

  - ### Param

    public Param()

- ## Method Details

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValuetype

    public String getValuetype()
    Gets the value of the valuetype property.
    Returns:
      possible object is `String`

  - ### setValuetype

    public void setValuetype(String value)
    Sets the value of the valuetype property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`